Tonyu.klass.define({
  fullName: 'user.Test',
  shortName: 'Test',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Test_main() {
        "use strict";
        var _this=this;
        
        _this.w = new Tonyu.classes.user.WebSoc;
        
        _this.w.on("error",(function anonymous_34(e) {
          
          _this.print("エラー:"+e);
        }));
        _this.w.on("message",(function anonymous_83(e) {
          var d;
          
          d = e.data;
          
          _this.doDraw(d);
        }));
        _this.waitEvent(_this.w,"open");
        _this.print("接続しました．");
        _this.print("クリック/タッチで絵を送信．");
        _this.col=new Tonyu.classes.kernel.Color(_this.rnd(255),_this.rnd(255),_this.rnd(255));
        while (true) {
          Tonyu.checkLoop();
          if (Tonyu.globals.$touches[0].touched) {
            _this.d = {x: Tonyu.globals.$touches[0].x,y: Tonyu.globals.$touches[0].y,color: _this.col+""};
            
            _this.w.send(_this.d);
            _this.doDraw(_this.d);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Test_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.w = new Tonyu.classes.user.WebSoc;
        
        _this.w.on("error",(function anonymous_34(e) {
          
          _this.print("エラー:"+e);
        }));
        
        _thread.enter(function _trc_Test_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.w.on("message",(function anonymous_83(e) {
                var d;
                
                d = e.data;
                
                _this.doDraw(d);
              }));
              _this.fiber$waitEvent(_thread, _this.w, "open");
              __pc=1;return;
            case 1:
              
              _this.print("接続しました．");
              _this.print("クリック/タッチで絵を送信．");
              _this.col=new Tonyu.classes.kernel.Color(_this.rnd(255),_this.rnd(255),_this.rnd(255));
            case 2:
              if (!(Tonyu.globals.$touches[0].touched)) { __pc=4     ; break; }
              _this.d = {x: Tonyu.globals.$touches[0].x,y: Tonyu.globals.$touches[0].y,color: _this.col+""};
              
              _this.w.send(_this.d);
              _this.fiber$doDraw(_thread, _this.d);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=2;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      doDraw :function _trc_Test_doDraw(d) {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$panel.setFillStyle(d.color);
        Tonyu.globals.$panel.fillRect(d.x,d.y,10,10);
      },
      fiber$doDraw :function _trc_Test_f_doDraw(_thread,d) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$panel.setFillStyle(d.color);
        Tonyu.globals.$panel.fillRect(d.x,d.y,10,10);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"doDraw":{"nowait":false}},"fields":{"w":{},"d":{},"col":{}}}
});
Tonyu.klass.define({
  fullName: 'user.WebSoc',
  shortName: 'WebSoc',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_WebSoc_main() {
        "use strict";
        var _this=this;
        
        _this.settings = {uri: "ws://tonyu.jp:8080"};
        
        _this.reqs=_this.waitFor($.ajax("http://run.tonyu.jp/reqsoc.cgi"));
        _this.print(_this.reqs);
        _this.conn = new WebSocket(_this.settings['uri']);
        
        _this.conn.onopen=(function anonymous_307(e) {
          
          _this.fireEvent("open",e);
        });
        _this.conn.onmessage=(function anonymous_409(e) {
          
          _this.fireEvent("message",{data: JSON.parse(e.data)});
        });
        _this.conn.onclose=(function anonymous_538(e) {
          
          _this.fireEvent("close",e);
        });
        _this.conn.onerror=(function anonymous_618(e) {
          
          _this.fireEvent("error",e);
        });
        Tonyu.globals.$Boot.on("stop",(function anonymous_699() {
          
          _this.conn.close();
        }));
      },
      fiber$main :function _trc_WebSoc_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.settings = {uri: "ws://tonyu.jp:8080"};
        
        
        _thread.enter(function _trc_WebSoc_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$waitFor(_thread, $.ajax("http://run.tonyu.jp/reqsoc.cgi"));
              __pc=1;return;
            case 1:
              _this.reqs=_thread.retVal;
              
              _this.print(_this.reqs);
              _this.conn = new WebSocket(_this.settings['uri']);
              
              _this.conn.onopen=(function anonymous_307(e) {
                
                _this.fireEvent("open",e);
              });
              _this.conn.onmessage=(function anonymous_409(e) {
                
                _this.fireEvent("message",{data: JSON.parse(e.data)});
              });
              _this.conn.onclose=(function anonymous_538(e) {
                
                _this.fireEvent("close",e);
              });
              _this.conn.onerror=(function anonymous_618(e) {
                
                _this.fireEvent("error",e);
              });
              Tonyu.globals.$Boot.on("stop",(function anonymous_699() {
                
                _this.conn.close();
              }));
              _thread.exit(_this);return;
            }
          }
        });
      },
      send :function _trc_WebSoc_send(mesg) {
        "use strict";
        var _this=this;
        
        _this.conn.send(JSON.stringify(mesg));
      },
      fiber$send :function _trc_WebSoc_f_send(_thread,mesg) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.conn.send(JSON.stringify(mesg));
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"send":{"nowait":false}},"fields":{"settings":{},"conn":{},"reqs":{}}}
});

//# sourceMappingURL=concat.js.map